VERSION 5.00
Begin VB.Form frmValenceRenderer 
   Caption         =   "Form1"
   ClientHeight    =   4710
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9300
   LinkTopic       =   "Form1"
   ScaleHeight     =   4710
   ScaleWidth      =   9300
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picPreview 
      Appearance      =   0  'Flat
      BackColor       =   &H80000000&
      ForeColor       =   &H80000008&
      Height          =   1335
      Left            =   6840
      ScaleHeight     =   1305
      ScaleWidth      =   1815
      TabIndex        =   1
      Top             =   330
      Width           =   1845
   End
   Begin VB.PictureBox picRenderer 
      Appearance      =   0  'Flat
      BackColor       =   &H80000004&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   4185
      Left            =   60
      ScaleHeight     =   4185
      ScaleWidth      =   6315
      TabIndex        =   0
      Top             =   120
      Width           =   6315
      Begin VB.Frame Frame2 
         Caption         =   "Display Colors"
         Height          =   1575
         Left            =   120
         TabIndex        =   3
         Top             =   1500
         Width           =   6015
         Begin VB.PictureBox picColors 
            Height          =   240
            Index           =   3
            Left            =   1530
            ScaleHeight     =   180
            ScaleMode       =   0  'User
            ScaleWidth      =   192
            TabIndex        =   10
            Top             =   960
            Width           =   240
            Begin VB.Label lblColors 
               Appearance      =   0  'Flat
               BackColor       =   &H80000000&
               Caption         =   "3+"
               ForeColor       =   &H00008000&
               Height          =   210
               Index           =   3
               Left            =   0
               TabIndex        =   11
               Top             =   0
               Width           =   165
            End
         End
         Begin VB.PictureBox picColors 
            Height          =   270
            Index           =   2
            Left            =   990
            ScaleHeight     =   210
            ScaleMode       =   0  'User
            ScaleWidth      =   192
            TabIndex        =   8
            Top             =   930
            Width           =   240
            Begin VB.Label lblColors 
               Appearance      =   0  'Flat
               BackColor       =   &H80000000&
               Caption         =   "2"
               ForeColor       =   &H00FFFF00&
               Height          =   210
               Index           =   2
               Left            =   30
               TabIndex        =   9
               Top             =   0
               Width           =   165
            End
         End
         Begin VB.PictureBox picColors 
            Height          =   240
            Index           =   0
            Left            =   990
            ScaleHeight     =   180
            ScaleMode       =   0  'User
            ScaleWidth      =   192
            TabIndex        =   6
            Top             =   480
            Width           =   240
            Begin VB.Label lblColors 
               Appearance      =   0  'Flat
               BackColor       =   &H80000000&
               Caption         =   "0"
               ForeColor       =   &H0000FFFF&
               Height          =   210
               Index           =   0
               Left            =   30
               TabIndex        =   7
               Top             =   0
               Width           =   165
            End
         End
         Begin VB.PictureBox picColors 
            Height          =   240
            Index           =   1
            Left            =   1530
            ScaleHeight     =   180
            ScaleMode       =   0  'User
            ScaleWidth      =   192
            TabIndex        =   4
            Top             =   480
            Width           =   240
            Begin VB.Label lblColors 
               Appearance      =   0  'Flat
               BackColor       =   &H80000000&
               Caption         =   "1"
               ForeColor       =   &H000000FF&
               Height          =   210
               Index           =   1
               Left            =   30
               TabIndex        =   5
               Top             =   0
               Width           =   165
            End
         End
         Begin VB.Shape Shape1 
            FillColor       =   &H000080FF&
            FillStyle       =   0  'Solid
            Height          =   195
            Left            =   1290
            Shape           =   1  'Square
            Top             =   720
            Width           =   195
         End
         Begin VB.Line Line1 
            BorderWidth     =   3
            Index           =   1
            X1              =   1380
            X2              =   1380
            Y1              =   1380
            Y2              =   240
         End
         Begin VB.Line Line1 
            BorderWidth     =   3
            Index           =   0
            X1              =   480
            X2              =   2250
            Y1              =   810
            Y2              =   810
         End
      End
      Begin VB.Label Label1 
         Height          =   1245
         Left            =   60
         TabIndex        =   2
         Top             =   60
         Width           =   6195
      End
   End
End
Attribute VB_Name = "frmValenceRenderer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' Copyright 2008 ESRI
' 
' All rights reserved under the copyright laws of the United States
' and applicable international laws, treaties, and conventions.
' 
' You may freely redistribute and use this sample code, with or
' without modification, provided you include the original copyright
' notice and use restrictions.
' 
' See use restrictions at <your ArcGIS install location>/developerkit/userestrictions.txt.
' 




Option Explicit

Private m_pSite As IComPropertyPageSite
Private m_pRend As ValenceRend
Private m_PageIsDirty As Boolean

Public Sub UpdateControls()
On Error GoTo ErrHand:
    
    lblColors(0).ForeColor = m_pRend.Color0.RGB
    lblColors(1).ForeColor = m_pRend.Color1.RGB
    lblColors(2).ForeColor = m_pRend.Color2.RGB
    lblColors(3).ForeColor = m_pRend.Color3.RGB
    DoEvents
    
    Exit Sub
ErrHand:
    MsgBox "Update Controls - " & Err.descripton
    Exit Sub
End Sub

Private Sub picColors_Click(Index As Integer)
On Error GoTo ErrHand:
  Dim pRGB As IColor
  Set pRGB = New RgbColor
  Dim curColor As Long
  
  Select Case Index
  Case 0
    curColor = GetColor(m_pRend.Color0)
    pRGB.RGB = curColor
    m_pRend.Color0 = pRGB
  Case 1
    curColor = GetColor(m_pRend.Color1)
    pRGB.RGB = curColor
    m_pRend.Color1 = pRGB
  Case 2
    curColor = GetColor(m_pRend.Color2)
    pRGB.RGB = curColor
    m_pRend.Color2 = pRGB
  Case 3
    curColor = GetColor(m_pRend.Color3)
    pRGB.RGB = curColor
    m_pRend.Color3 = pRGB
  End Select
  lblColors(Index).ForeColor = curColor

  GoTo EndProc
ErrHand:
    MsgBox "Click - " & Err.Description
EndProc:
    Set pRGB = Nothing
End Sub

Private Function GetColor(inColor As IRgbColor) As Long
On Error GoTo ErrHand:
  
    Dim pColorPall As IColorPalette
    Set pColorPall = New ColorPalette
    Dim pColor As IRgbColor, pRect As tagRECT, bColorSet As Boolean

    If Not inColor Is Nothing Then
        Set pColor = inColor
    End If
    bColorSet = pColorPall.TrackPopupMenu(pRect, pColor, False, 0)
    If bColorSet Then
        m_pSite.PageChanged
        m_PageIsDirty = True
    End If
  
    Dim pOutColor As IRgbColor
    Set pOutColor = pColorPall.Color
    GetColor = pOutColor.RGB
  
    GoTo EndProc
ErrHand:
    MsgBox "GetColor - " & Err.Description
EndProc:
    Set pColorPall = Nothing
    Set pColor = Nothing
    Set pOutColor = Nothing
    Exit Function
End Function

Public Property Let PageSite(ByVal RHS As esriFramework.IComPropertyPageSite)
    Set m_pSite = RHS
End Property

Public Property Get IsDirty() As Boolean
    IsDirty = m_PageIsDirty
End Property

Public Function SetRenderer(ByVal RHS As ValenceRend)
    Set m_pRend = RHS
End Function

Public Function GetRenderer() As ValenceRend
    Set GetRenderer = m_pRend
End Function

